function validaItens(item, palavras) {
    var i = 0;
    var match = true;
    do {
        if (item != null && item.match(new RegExp(palavras[i], "gi")) == null) {
            return false;
        }
        i++;
    } while (palavras[i] != null);
    return true;
}